Subject: Logan Lathe?

From: [email-masked] (SCHAIBLE BRIAN ROBERT)
Date: 14 Sep 1994 12:56:45 -0600

Lately, I have been half heartedly looking for a used metal lathe for personal
use.  Today there was a Logan 10x30 in the local paper.  The listed price was
a little more than I want to pay, but if it would be a good lathe for my
needs, maybe I could get the guy to lower his price.  So does anyone in this
group have opinions on the Logan brand of lathes.  I am not familiar with
them and would appreciate any info/opinions/etc.

Thank you

Brian